Subject: bug#6657: mkstemp on cygwin creates binary files

From: Paolo Bonzini <[email-masked]>
Date: Fri, 16 Jul 2010 22:27:18 +0200

I recently got by private email a report that "sed -i" changed the line 
endings of the file to bare linefeeds on cygwin.  The reason for this is 
that mkstemp on cygwin hardcodes the flags to O_EXCL|O_BINARY:

http://www.cygwin.com/ml/cygwin-patches/2006-q2/msg00013.html

I fixed it by using instead mkostemp(template, 0).  From a quick "git 
grep", it seems like sort and tac are affected by the bug in coreutils.

Thanks!

Paolo